# MIT Kerberos Documentation

Contents | previous | next | index | Search | feedback

# krb5_kdc_req

`krb5_kdc_req`

C representation of KDC-REQ protocol message, including KDC-REQ-BODY.

## Declaration

typedef struct _krb5_kdc_req krb5_kdc_req

## Members

krb5_magic `krb5_kdc_req.magic`

krb5_msgtype `krb5_kdc_req.msg_type`

  KRB5_AS_REQ or KRB5_TGS_REQ.

krb5_pa_data ** `krb5_kdc_req.padata`

  Preauthentication data.

krb5_flags `krb5_kdc_req.kdc_options`

  Requested options.

krb5_principal `krb5_kdc_req.client`

  Client principal and realm.

krb5_principal `krb5_kdc_req.server`

  Server principal and realm.

krb5_timestamp `krb5_kdc_req.from`

  Requested start time.

krb5_timestamp `krb5_kdc_req.till`

  Requested end time.

krb5_timestamp `krb5_kdc_req.rtime`

  Requested renewable end time.

krb5_int32 `krb5_kdc_req.nonce`

  Nonce to match request and response.

int `krb5_kdc_req.nktypes`

  Number of enctypes.

krb5_enctype * `krb5_kdc_req.ktype`

  Requested enctypes.

krb5_address ** `krb5_kdc_req.addresses`

  Requested addresses (optional)

krb5_enc_data `krb5_kdc_req.authorization_data`

  Encrypted authz data (optional)

krb5_authdata ** `krb5_kdc_req.unenc_authdata`

  Unencrypted authz data.

krb5_ticket ** `krb5_kdc_req.second_ticket`

  Second ticket array (optional)